// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: GPL-3.0-or-later

use core::arch::asm;
use core::ptr::addr_of_mut;

use intbits::Bits;

pub unsafe fn gdt() -> (u8, u64) {
    let mut addr: u128 = 0;
    unsafe {
        asm! {
            "sgdt [rax]",
            in("rax") addr_of_mut!(addr),
        }
    }
    (addr.bits(0..=15) as u8, addr.bits(16..=79) as u64)
}
