// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: GPL-3.0-or-later

use lazy_static::lazy_static;
use x86_64::structures::idt::*;

use crate::format;

lazy_static! {
    pub static ref IDT: InterruptDescriptorTable = {
        let mut idt = InterruptDescriptorTable::new();
        idt.double_fault.set_handler_fn(double_fault);
        idt
    };
}

extern "x86-interrupt" fn double_fault(info: InterruptStackFrame, _: u64) -> ! {
    crate::interrupt::double_fault(&format!("{info:#?}"));
}
