// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: GPL-3.0-or-later

use lazy_static::lazy_static;
use limine::{
    request::{ExecutableFileRequest, ModuleRequest},
    response::ModuleResponse,
};

#[used]
#[unsafe(link_section = ".requests")]
pub static FILE_REQUEST: ExecutableFileRequest = limine::request::ExecutableFileRequest::new();

#[used]
#[unsafe(link_section = ".requests")]
pub static MODULE_REQUEST: ModuleRequest = limine::request::ModuleRequest::new();

lazy_static! {
    pub static ref MODULE_RESPONSE: &'static ModuleResponse = MODULE_REQUEST
        .get_response()
        .expect("Bootloader did not return kernel modules");
}

// TODO: make initramfs a lazy static somehow?
